Subject: Re: bug#37831: GDM has a GNOME entry even when not installed
From: Ludovic Courtès <[email-masked]>
To: Pierre Neidhardt <[email-masked]>
Cc: [email-masked]
Date: Sun, 12 Apr 2020 00:23:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Pierre Neidhardt <[email-masked]> skribis:

> My config.scm installs EXWM + StumpWM, but not GNOME.
> Before the last core-update, GDM would only suggest the 2 window
> managers.
>
> After a recent Guix pull followed by a `guix system reconfigure', GDM
> also suggests GNOME.  If I select it, it fails to log in, which I
> suppose is expected since it's not installed.
>
> I believe the GNOME entry in GDM should only appear if GNOME is installed.

Alright, I eventually succeeded and pushed a fix as
f4ec5e1a9823a66c27fe2bc033db7b58b29edfef (‘version-1.1.0’; will merge
later on ‘master’).  Woohoo!

AFAICS it works as advertised, but please report any issues!

Ludo’.